@protobuf-ts/twirp-transport
============================

Twirp transport for clients generated by [protobuf-ts](https://github.com/timostamm/protobuf-ts/).

Installation:

```shell script
# with npm:
npm install @protobuf-ts/twirp-transport

# with yarn:
yarn add @protobuf-ts/twirp-transport
```

You probably want the protoc plugin as well: 
          
```shell script
# with npm:
npm install -D @protobuf-ts/plugin

# with yarn:
yarn add --dev @protobuf-ts/plugin
```


Usage:
```typescript
let transport = new TwirpFetchTransport({
    baseUrl: "localhost:3000"
});

let client = new HaberdasherClient(transport);

let {response} = await client.makeHat({ inches: 11 });
console.log("got a small hat! " + response)
```

To learn more, please read the [MANUAL](https://github.com/timostamm/protobuf-ts/blob/master/MANUAL.md#twirp-transport).   


### Copyright

The [Twirp error codes](https://github.com/timostamm/protobuf-ts/blob/master/packages/twirp-transport/src/twitch-twirp-error-code.ts) 
and clientcompat.proto are Copyright 2018 Twitch Interactive, Inc.
